#ifndef DUMPDEVICE_H
#define DUMPDEVICE_H

#include <glib.h>

#include "dumpheader.h"

typedef struct _DumpDevice DumpDevice;

struct _DumpDevice {

	/* Host data */
	glong			 page_offset;
	struct disk_dump_header	*header;
	struct disk_dump_sub_header	*sub_header;


	char			*bitmap;

	/* Coredump data: */
	int			 file_fd;
	int			 device_fd;
	size_t			 data_offset;
	size_t			 device_page_start;

	const char		*dump_dir;
	char			*device_name;
	char			*file_name;

	int			 dumping_cpu;

	struct	task_struct	*tasks[];
};

#endif
