#ifndef ARCH_DISKDUMPELF_H
#define ARCH_DISKDUMPELF_H

/*
 * x86_64 Elf definitions
 */
/* $Id: diskdumpelf.h,v 1.2 2004/06/07 00:31:03 tachino Exp $ */

typedef unsigned long elf_greg_t;

struct user_regs_struct {
	unsigned long r15,r14,r13,r12,rbp,rbx,r11,r10;
	unsigned long r9,r8,rax,rcx,rdx,rsi,rdi,orig_rax;
	unsigned long rip,cs,eflags;
	unsigned long rsp,ss;
  	unsigned long fs_base, gs_base;
	unsigned long ds,es,fs,gs; 
}; 

#define ELF_NGREG (sizeof (struct user_regs_struct) / sizeof(elf_greg_t))
typedef elf_greg_t elf_gregset_t[ELF_NGREG];

#define MACHINE_TYPE	EM_X86_64
#define ELF_CLASS	ELFCLASS64
#define PAGE_OFFSET	0x0000010000000000

#endif /* ARCH_DISKDUMPELF_H */
